﻿
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>@ViewBag.Title   </title>
    @Scripts.Render("~/bundles/modernizr")
    <link rel="stylesheet" href="~/Content/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="~/Content/vendors/base/vendor.bundle.base.css">
    <link rel="stylesheet" href="~/Content/css/style.css">
    <link rel="shortcut icon" href="images/favicon.png" />
    <link rel="stylesheet" href="~/Content/css/jquery-ui.min.css">
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/jqueryval")
    <link rel="stylesheet" href="~/Content/Site.css">
    <link rel="stylesheet" href="~/Content/css/toastr.css">

</head>
<body>
    <div class="container-scroller">
        <div class="loader"></div>
        @Html.Partial("_HeaderView")
    <div class="container-fluid page-body-wrapper">
        <nav class="sidebar sidebar-offcanvas" id="sidebar">
            <ul class="nav">

                <li class="nav-item">

                    <div class="" id="ui-basic">
                        <ul class="nav flex-column sub-menu" id="list-menu">
                        </ul>
                    </div>
                </li>

            </ul>
        </nav>
        <div class="main-panel">
            <div class="content-wrapper">
                <div class="row">

                    <div class="col-sm-12">
                        <div class="card" id="session">
                            <h2 class="card-header text-center">Section (<span id="questionCategory">Corrective Action Plan</span>) </h2>



                            <div class="card-body">
                                <h5 class="card-title"></h5>
                                <form id="form-questn">
                                </form>
                            </div>
                            <div class="card-footer float-btn">
                                <span class="" id="btnSave">  </span>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <footer class="footer">
                <div class="d-sm-flex justify-content-center justify-content-sm-between">
                    <span class="text-muted text-center text-sm-left d-block d-sm-inline-block">Copyright © 2020 <a href="https://www.ubagroup.com/" target="_blank">UBA Group</a>. All rights reserved.</span>
                </div>
            </footer>
        </div>
    </div>
    </div>


    <script type="text/javascript">
        var allQuestions = [];
        
    var optionListUrl = '@Url.Action("CorrectivePlanTest", "AssessmentPortal")';
        questionArray();
    function questionArray() {
        $.ajax({
            type: 'GET',
            url: optionListUrl,
           // data: "",
            dataType: 'json',
            success: function (data) {
                allQuestions = data.data;
                   displayCategoryQuestions(data.data)
            }
        });
        }

        function displayCategoryQuestions(records) {
            $("#btnSave").append($('<button type="submit" onclick="submitForm()" class="btn btn-danger mr-2">' + 'Submit' + '</button>'));
            $("#form-questn").empty();
            $.each(records, function (i, value) {
                $("#form-questn").append($('<div class="card question mb-2 p-3"> <h4> (' + (i + 1) + ')  ' + value.QuestionText + ' </h4><div class="option" > <input type="text" class="form-control" required id="opt' + (value.QuestionId) + '" placeholder="Please provide a corrective plan inside the box" name="' + value.QuestionId + '"/></div> </div>'));
            })
            //Testing checked answer.
        }
 function validation() {
            // file Upload
            // Input type
      
     var fieldCount =0;

     var getcount = allQuestions.length;
     $.each($("#form-questn").serializeArray(), function (i, value) {
         if (value.value.length == 0) {

         }
         else
             fieldCount = fieldCount + 1;
     });

            if (fieldCount != getcount) {
                console.log('fieldCount', fieldCount);
                 console.log('getcount',getcount);
                getcount =getcount- fieldCount  ;
                console.log(getcount);
                toastr.error('kindly, select all the entries <br/>  '+ getcount +'  fill(s) left!!!', "Validation");
                return false;
            }
            return true;
        }
 function submitForm() {
            // first check ur local db
            // if exist patch value to the db
            // else not check online;
            // and save into local data
            // if there's nothing online
         var check = validation();

            if (check) {
                var formObject = $("#form-questn").serializeArray();
                var formData = { Questionlists: formObject};
                var url = '@Url.Action("SaveQuestionByCorrectivePlanTest", "AssessmentPortal")';
                var saveData = $.ajax({
                    type: 'POST',
                    url: url,
                    data: JSON.stringify(formData),
                    contentType: 'application/json; charset=utf-8',
                    dataType: "json",
                    success: function (resultData) {
                       

                        Dashboard()
                    }
                });
            }

        }
        function Dashboard() {
    var url = '@Url.Action("Dashboard", "AssessmentPortal")';
            window.location.href = url;
}

    </script>
    @Scripts.Render("~/bundles/bootstrap")
    <script src="~/Content/vendors/base/vendor.bundle.base.js"></script>
    <script src="~/Scripts/js/toastr.js"></script>
    <script src="~/Scripts/js/off-canvas.js"></script>
    <script src="~/Scripts/js/hoverable-collapse.js"></script>
    <script src="~/Scripts/js/template.js"></script>
    <script src="~/Scripts/js/loader.js"></script>

    @Scripts.Render("~/bundles/jquery-ui")

</body>
</html>
